/**
 * @file linkpull_migration.h
 *
 * @brief LinkPull migration algorithm (header).
 *
 * Copyright (c) 2007, 2008, 2009, 2010 Georg Wittenburg, Freie Universitaet
 * Berlin (wittenbu@inf.fu-berlin.de). All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: linkpull_migration.h 3177 2010-01-05 16:43:45Z wittenbu $
 */

#ifndef LINKPULL_MIGRATION_H
#define LINKPULL_MIGRATION_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

#ifdef C_SERVICE_PLACEMENT_EVALUATION

void linkpull_migration_start(SERVICE_service_t* service);
void linkpull_migration_stop(SERVICE_service_t* service);

#endif	// C_SERVICE_PLACEMENT_EVALUATION

#endif	// LINKPULL_MIGRATION_H
